<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateDocumentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: documents
         */
        Schema::create('documents', function ($table) {
            $table->increments('id');
            $table->text('title')->nullable();
            $table->string('file_upload', 255)->nullable();
            $table->string('flag_icon', 255)->nullable();
            $table->integer('category')->nullable();
            $table->integer('order')->nullable();
            $table->integer('status')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('documents');
    }
}
